CAPNG_SET_CAPS_FD(3)

NAME
capng_set_caps_fd -

SYNOPSIS
#include <cap-ng.h>

int capng_set_caps_fd(int fd);

DESCRIPTION

This function will write the file based capabilities to the extended attributes of the file that the descriptor was opened against. The bounding set is not included in file based capabilities operations. Note that this function will only work if compiled on a kernel that supports file based capabilities such as 2.6.2 6 and later.

RETURN VALUE

This returns 0 on success and -1 on failure.

SEE ALSO

capng_get_caps_fd(3), capabilities(7)

AUTHOR
Steve Grubb